Gentoo Archives: gentoo-dev

From: George Shapovalov <george@g.o>
To: gentoo-science@l.g.o
Cc: gentoo-dev@l.g.o
Subject: [gentoo-dev] app-sci/{blas-*,lapack-*} have gone gold; ATTN: maintainers of dependant packages
Date: Tue, 29 Jun 2004 21:48:34
Message-Id: 200406291448.53288.george@gentoo.org
Hi gang.

Finally all the issues with blas-* and lapack-* packages have been resolved. 
All these packages are in the tree and unmasked (~x86, ~amd64 and some ~ppc) 
and the corresponding virtuals were enabled.
These ebuilds provide parallel installation of reference or atlas based 
libraries, shared libs and few more niceties, plus they have some issues with 
gcc/f77 resolved. This is to say that they are the preferred blas/atlas 
ebuilds and old stuff (app-sci/{blas,atlas,lapack}) is deprecated as of now.

ATTN: sci devs and maintainers of packages that use blas or lapack. 
Please update your ebuilds to depend on virtual/blas or virtual/lapack. 
Switching between active implementation is performed with blas-config or 
lapack-config scripts, that follow gcc-config convention 
(see app-config --help for more details).

Q to libtool maintainers: when can we expect >=sys-devel/libtool-1.5 going 
stable on x86 and ppc? Some rough idea would be wellcome as it is hollding 
these packages from going stable as well.

George
 


--
gentoo-dev@g.o mailing list